Subject: Re: bug#69894: 29.1; Icalendar export conflict with calendar iso date

From: Erwan Hingant <[email-masked]>
Date: Sat, 06 Apr 2024 12:34:34 +0200

Hello,

This is the ISO format has a '-'. Proceed with :

(setq diary-file "whatever"
      calendar-date-display-form calendar-iso-date-display-form)

Then, go to calendar and use "i d" on any date or 
(diary-insert-entry) you will see the date inserted in the form 
YYYY-MM-DD. 

Indeed, diary-insert-entry call the calendar-insert-date-string 
which use the format stroed in calendar-date-display-form. You may 
inspect the default proposed value of 
calendar-iso-date-display-form.

Sincerely,
E.

Eli Zaretskii <[email-masked]> writes:

>> From: Erwan Hingant <[email-masked]>
>> Cc: Eli Zaretskii <[email-masked]>,   RwN <[email-masked]>,
>>    [email-masked]
>> Date: Thu, 28 Mar 2024 22:49:33 +0100
>> 
>> Sorry I cannot help much because I am not an expert in 
>> regexp.... I just find a patch which work for me. The 0? is not 
>> in 
>> the match, the function assume a good structure of the diary 
>> file 
>> so 2024 099 03 will match 2024 99 3 if I am right? What I am 
>> concern is considering - instead of space likewise the default 
>> ISO 
>> format used .
>
> Can you tell how you arrived at a date such as "2024-03-19" in 
> the
> diary file?  Did you per chance write it by hand or something? 
> If any
> of the diary commands produce such dates, can you show a recipe 
> for
> reproducing this?
>
> AFAIU, what icalendar--datestring-to-isodate accepts as 
> DATESTRING is
> a diary-style date, and the ISO format of diary-style dates 
> doesn't
> allow dashes.  So I 'm curious as to how those dashes ended up 
> in your
> diary file.
>
> Ulf, any comments about this?